Subject: [bug#52425] [PATCH] gnu: sbcl-aserve: Add HTML5 elements to htmlgen.

From: Guillaume Le Vaillant <[email-masked]>
Date: Sat, 11 Dec 2021 10:37:11 +0000

Foo Chuan Wei <[email-masked]> skribis:

> * gnu/packages/lisp-xyz.scm (sbcl-aserve)[origin]: Add patches.
> * gnu/patches/sbcl-aserve-rfe12668-add-HTML-5-elements-to-htmlgen.patch:
>   New file.
> * gnu/patches/sbcl-aserve-fix-bugs-in-rfe12668-implementation.patch:
>   New file.
> ---
> sbcl-aserve's upstream, Portable AllegroServe, only supports HTML 4
> elements. This patch adds support for HTML 5 elements by using patches
> obtained from Portable AllegroServe's upstream —
> https://github.com/franzinc/aserve/

Have you tried submitting these patches to Portable AllegroServe?
If they accept them we could then use a regular package update instead
of adding patches.